<?php

	global $context, $scripturl, $txt, $settings, $smcFunc, $boardurl, $adkportal;	
	$foros = '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20'; // Los foros a mostrar
	$array = explode(',',$foros);
	$limit_body = $adkportal['auto_news_limit_body'];
	$limit_query = 40;	// La cantidad de temas a mostrar
	$sql = $smcFunc['db_query']('','
		SELECT m.id_board, b.id_board, b.name, m.id_topic, m.poster_time, m.id_member, m.poster_name,
		m.subject, m.body, m.icon, mg.online_color
		FROM {db_prefix}messages AS m
		LEFT JOIN {db_prefix}members AS mem ON (mem.id_member = m.id_member)
		LEFT JOIN {db_prefix}boards AS b ON (m.id_board = b.id_board)
		LEFT JOIN {db_prefix}membergroups AS mg ON (mg.id_group = IF(mem.id_group = 0, mem.id_post_group, mem.id_group))
		WHERE m.id_board IN ('.implode(',',$array).') AND m.subject NOT LIKE "Re:%"
		ORDER BY m.id_topic DESC LIMIT {int:limit} ',
		array(
			'limit' => $limit_query,
		)
	);								
	$topics = array();	
	while($row = $smcFunc['db_fetch_assoc']($sql))
	{
		$row['body'] = parse_bbc($row['body']);
		$topics[] = array(
			'id_topic' => $row['id_topic'],
			'id_tema' => $row['id_board'],
			'href' => shorten_subject($row['subject'], 15), // la cantidad de letras a mostrar en el titulo
			'time' => timeformat($row['poster_time']),
			'member' => '<a href="'.$scripturl.'?action=profile;u='.$row['id_member'].'" style="color: '.$row['online_color'].';">'.$row['poster_name'].'</a>',
			'body' => $row['body'],
			'board' => '<a href="'.$scripturl.'?board='.$row['id_board'].'.0">'.$row['name'].'</a>'
		);
	}
	echo '
		<table>
<tr class="titulo_complete">
				<th class="tema_c"> T&oacute;pico</th>
				<th class="autor_c"> Autor</th>
				<th class="fecha_c"> Data</th>
				<th class="foro_"> F&oacute;rum</th>
</tr>';
	foreach($topics AS $topic)
	{
 echo'		
<tr class="fondo_complete">
<td> <img class="icon_c" src="'.$settings['default_theme_url'].'/images/icons/'.$topic['id_tema'].'/off.png" alt="last topic" /><a href="'.$scripturl.'?topic='.$topic['id_topic'].'.0"><b> '.$topic['href'].' </b></a></td>
<td><b> '.$topic['member'].' </b></td>				
<td> '.$topic['time'].' </td>
<td> '.$topic['board'].' </td>
</tr>';
}
echo'
 </table> ';
echo'
 <style>
    .fondo_complete { background: #f9f9f9; color:#222 }
    .fondo_complete td { color:#222;padding:5px}
    .titulo_complete { background: #FF4000;padding:3px}
    .titulo_complete th { color:#fff;padding:5px }
    .tema_c { width: 30%}
    .autor_c {width:20%}
    .fecha_c { width:20%}
    .foro_c { width:30%}
    .icon_c { width:20px;height:20px}
    </style>';		
?>